package com.ruoyi.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.PushMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PosTypeMapper;
import com.ruoyi.system.domain.PosType;
import com.ruoyi.system.service.IPosTypeService;

/**
 * 门店分类Service业务层处理
 *
 * @author ruoyi
 * @date 2023-05-13
 */
@Service
public class PosTypeServiceImpl extends ServiceImpl<BaseMapper<PosType>,PosType> implements IPosTypeService
{
    @Autowired
    private PosTypeMapper posTypeMapper;

    /**
     * 查询门店分类
     *
     * @param id 门店分类主键
     * @return 门店分类
     */
    @Override
    public PosType selectPosTypeById(Long id)
    {
        return posTypeMapper.selectPosTypeById(id);
    }

    /**
     * 查询门店分类列表
     *
     * @param posType 门店分类
     * @return 门店分类
     */
    @Override
    public List<PosType> selectPosTypeList(PosType posType)
    {
        return posTypeMapper.selectPosTypeList(posType);
    }

    /**
     * 新增门店分类
     *
     * @param posType 门店分类
     * @return 结果
     */
    @Override
    public int insertPosType(PosType posType)
    {
        return posTypeMapper.insertPosType(posType);
    }

    /**
     * 修改门店分类
     *
     * @param posType 门店分类
     * @return 结果
     */
    @Override
    public int updatePosType(PosType posType)
    {
        return posTypeMapper.updatePosType(posType);
    }

    /**
     * 批量删除门店分类
     *
     * @param ids 需要删除的门店分类主键
     * @return 结果
     */
    @Override
    public int deletePosTypeByIds(Long[] ids)
    {
        return posTypeMapper.deletePosTypeByIds(ids);
    }

    /**
     * 删除门店分类信息
     *
     * @param id 门店分类主键
     * @return 结果
     */
    @Override
    public int deletePosTypeById(Long id)
    {
        return posTypeMapper.deletePosTypeById(id);
    }

    /**
     * 查询门店分类树结构
     *
     * @param posType 门店分类
     * @return 门店分类集合
     */
    @Override
    public List<PosType> selectPosTypeTreeList(PosType posType)
    {
        return posTypeMapper.selectPosTypeTreeList(posType);
    }

    /**
     * 查询子分类数量
     *
     * @param parentId 父分类ID
     * @return 结果
     */
    @Override
    public int selectPosTypeCountByParentId(Long parentId)
    {
        return posTypeMapper.selectPosTypeCountByParentId(parentId);
    }
}
